# Uses of Interface
javax.lang.model.type.TypeVariable

Packages that use TypeVariable
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of TypeVariable in javax.lang.model.type

Methods in javax.lang.model.type that return types with arguments of type TypeVariable
Modifier and Type
Method
Description
`List<? extends TypeVariable>`
ExecutableType.`getTypeVariables()`
Returns the type variables declared by the formal type parameters of this executable.
Methods in javax.lang.model.type with parameters of type TypeVariable
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitTypeVariable​(TypeVariable t, P p)`
Visits a type variable.

## Uses of TypeVariable in javax.lang.model.util

Methods in javax.lang.model.util with parameters of type TypeVariable
Modifier and Type
Method
Description
`R`
SimpleTypeVisitor6.`visitTypeVariable​(TypeVariable t, P p)`
Visits a type variable.